Bug 1219102 - Drop-downs for private flags are unreadable with a dark desktop theme
Summary: Drop-downs for private flags are unreadable with a dark desktop theme
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 5.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: UI-Modernization
TreeView+ depends on / blocked
 
Reported: 2015-05-06 15:12 UTC by Martin Stransky
Modified: 2018-12-09 06:29 UTC (History)
3 users (show)

Fixed In Version: 5.0.3-rh8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-11 01:04:29 UTC


Attachments (Terms of Use)
screen (988 bytes, image/png)
2015-05-06 15:12 UTC, Martin Stransky
no flags Details
Screenshot of flags area in Bugzilla 5.0 (7.15 KB, image/png)
2016-06-14 08:37 UTC, Jason McDonald
no flags Details

Description Martin Stransky 2015-05-06 15:12:35 UTC
Created attachment 1022712 [details]
screen

text in dropdown is white on white background

Comment 1 Martin Stransky 2015-05-07 10:11:46 UTC
Actually it's a bug in bugzilla style, where background is defined but text color is not.

Comment 2 Jason McDonald 2015-05-08 01:08:31 UTC
I'm guessing from the screenshot that this bug refers to the drop-downs for private flags (public flags have a different color scheme).

If this is correct, I can reproduce the issue by setting one of the KDE desktop themes that has a light foreground and dark background.  For example, I an currently using the "Fusion Dark" theme.

Comment 4 Jeff Fearn 🐞 2016-05-31 22:28:49 UTC
Jason, does the same happen on the 5.0 UI?

Comment 5 Jason McDonald 2016-06-14 08:36:24 UTC
(In reply to Jeff Fearn from comment #4)
> Jason, does the same happen on the 5.0 UI?

No, it looks ok to me in BZ 5.

The width and height of the drop-down changes depending on the value selected though, which looks a bit odd. (See attached screenshot.)

Comment 6 Jason McDonald 2016-06-14 08:37:47 UTC
Created attachment 1167801 [details]
Screenshot of flags area in Bugzilla 5.0

Comment 7 Jeff Fearn 🐞 2016-09-29 12:49:56 UTC
Needs QE'ing. Another bug should be opened for the flag resizing.

Comment 8 Rony Gong 🔥 2016-10-09 09:43:15 UTC
Tested on QA environment(5.0.3-rh8)
Result: Pass


Note You need to log in before you can comment on or make changes to this bug.